From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] manual: nickname defaults to system's username not IRC username
Date: Sat,  5 Jun 2021 17:13:31 +0000
Message-Id: <20210605171332.46991-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

"username" alone is ambiguous and without jumping to ENVIRONMENT
explaining the use of USER, catgirl's user- and nickname options read
like pointing at each other:

-n nick | nick = nick
        Set nickname to nick.  The default nickname is the user's name.
[...]
-u user | user = user
        Set username to user.  The default username is the same as the
        nickname.

Clarify that `-n' does *not* default to `-u's value.
---
 catgirl.1 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/catgirl.1 b/catgirl.1
index 23615af..40206b8 100644
--- a/catgirl.1
+++ b/catgirl.1
@@ -290,8 +290,8 @@ Log chat events to files in paths
 .It Fl n Ar nick | Cm nick No = Ar nick
 Set nickname to
 .Ar nick .
-The default nickname is the user's name.
-.
+The default nickname is the system's username, i.e.\&
+.Ev USER .
 .It Fl o
 Print the server certificate chain
 to standard output in PEM format
-- 
2.31.1


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 13.4 \(3608.120.23.2.7\))
Subject: Re: [PATCH] manual: nickname defaults to system's username not IRC
 username
From: june <june@causal.agency>
In-Reply-To: <20210605171332.46991-1-klemens@posteo.de>
Date: Sat, 5 Jun 2021 16:04:26 -0400
Cc: list+catgirl@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <434BC990-4AD8-43CC-BCE7-B1FFAEEB64C7@causal.agency>
References: <20210605171332.46991-1-klemens@posteo.de>
To: Klemens Nanni <klemens@posteo.de>

Thanks. I amended to just directly say the default is the value of
USER.


